import type { StateStore } from "./state";

export const connectWebSocket = <T>(path: string, token: string | undefined, store: StateStore<T>) => {
  const ws = new WebSocket(`wss://api.peerat.dev${path}`);

  ws.onopen = () => {
    console.log('WebSocket connection opened');
    if (token) {
      ws.send(JSON.stringify({ token }));
    }
  };

  ws.onclose = () => console.log('WebSocket connection closed');
  ws.onerror = (event) => console.log('WebSocket error:', event);

  ws.onmessage = (event) => {
    console.log('WebSocket message:', event.data);
    const data: T = JSON.parse(event.data);
    store.addRequest(data);
  };
};
