import { API_URL } from '$env/static/private';
import { redirect } from '@sveltejs/kit';

import type { PageServerLoad } from './$types';

import type { Chapter } from '$lib/types';
import { handleRedirect } from '$lib/utils';

export const load = (async ({ url, fetch, locals: { user } }) => {

	if (!user) redirect(302, handleRedirect('login', url));

	const res = await fetch(`${API_URL}/chapters`);

	if (!res.ok) {
		return {
			daily: null
		};
	}

	const chapters: Chapter[] = await res.json();

	const lastChapter = chapters.filter((chapter) => chapter.start && chapter.end).pop();

	return {
		title: 'Dashboard',
		event: lastChapter,
	};
}) satisfies PageServerLoad;
