import { API_URL } from '$env/static/private';
import { redirect } from '@sveltejs/kit';

import type { PageServerLoad } from './$types';

import type { Chapter } from '$lib/types';
import { handleRedirect } from '$lib/utils';

export const load = (async ({ url, locals: { user }, fetch }) => {

	if (!user) redirect(302, handleRedirect('login', url));

	const res = await fetch(`${API_URL}/chapters`);

	if (!res.ok) {
		return {
			chapters: []
		};
	}

	const chapters = (await res.json()) as Chapter[];

	return {
		title: 'Chapitres',
		chapters
	};
}) satisfies PageServerLoad;
